Get Mcp Server
This method allows you to retrieve the configuration of an MCP server identified by its ID.
mcp_server_id
Successful Response
{
"name": "string",
"description": "string",
"documentation_url": "string",
"url": "string",
"transport": "string",
"id": "string",
"object": "string",
"created_at": 0,
"availability": "string",
"last_available_at": 0,
"last_updated_at": 0
}
Name of the MCP server.
Description of the MCP server.
The location of the MCP server's API documentation.
Base URL to access the MCP server.
MCP server communication transport protocol
id
Object type, which is always mcp_server.
Unix timestamp (in seconds) when the MCP server entry was created.
Availability status of an MCP server.
Unix timestamp (in seconds) when the MCP server was reachable.
Unix timestamp (in seconds) when the MCP server entry was last updated.
Invalid MCP server ID.
Validation Error
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
detail
curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}